## org.eclipse.jet
Interface JET1TemplateManager.ITemplateRunner

Enclosing class:
  JET1TemplateManager

    public static interface JET1TemplateManager.ITemplateRunner

Defines the protocol for an operation that dynamically invokes JET1 templates.

See Also:
  `JET1TemplateManager.run(String[], org.eclipse.jet.JET1TemplateManager.ITemplateOperation, IProgressMonitor)`

Method Summary
`java.lang.String` `generate(java.lang.String templatePath, java.lang.Object argument)` Execute a JET1 template

Method Detail

### generate

    java.lang.String generate(java.lang.String templatePath,
                              java.lang.Object argument)

  Execute a JET1 template

  Parameters:
    `templatePath` - the template path
    `argument` - the template argument
  Returns:
    the template result
  Throws:
    `java.lang.IllegalAccessException` - if templatePath cannot be resolved.

Copyright 2006 IBM Corporation and others. All Rights Reserved.